/**
 * JHylaFax - A java client for HylaFAX.
 *
 * Copyright (C) 2005 by Steffen Pingel <steffenp@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package net.sf.jhylafax;

import java.util.Date;

/**
 * Representation of a fax job. The class is used for send as well as receive jobs.
 */
public class HylaFAXJob {

	private int dialsAttempted;
	private String filename;
	private long filesize;
	private int ID = -1;
	private String lastError;
	private int maxDials;
	private int maxTries;
	private String notify;
	private String notifyAdress;
	private String number;
	private String owner;
	private int pageCount;
	private int pagesTransmitted;
	private int paperHeight;
	private int paperWidth;
	private String permissions;
	private int priority;
	private boolean receiving;
	private int resolution;
	private String result;
	private String sender;
	private Date sendTime;
	private int tag;
	private int triesAttempted;
	
	public int getDialsAttempted()
	{
		return dialsAttempted;
	}
	
	public String getFilename()
	{
		return filename;
	}

	public long getFilesize()
	{
		return filesize;
	}
	
	public int getID()
	{
		return ID;
	}
	
	public String getLastError()
	{
		return lastError;
	}
	
	public int getMaxDials()
	{
		return maxDials;
	}
	
	public int getMaxTries()
	{
		return maxTries;
	}
	
	public String getNotify()
	{
		return notify;
	}
	
	public String getNotifyAdress()
	{
		return notifyAdress;
	}
	
	public String getNumber()
	{
		return number;
	}
	
	public String getOwner()
	{
		return owner;
	}
	
	public int getPageCount()
	{
		return pageCount;
	}
	
	public int getPagesTransmitted()
	{
		return pagesTransmitted;
	}
	
	public int getPaperHeight()
	{
		return paperHeight;
	}
	
	public int getPaperWidth()
	{
		return paperWidth;
	}
	
	public String getPermissions()
	{
		return permissions;
	}
	
	public int getPriority()
	{
		return priority;
	}
	
	public int getResolution()
	{
		return resolution;
	}
	
	public String getResult()
	{
		return result;
	}
	
	public String getSender()
	{
		return sender;
	}
	
	public Date getSendTime()
	{
		return sendTime;
	}
	
	public int getTag()
	{
		return tag;
	}
	
	public int getTriesAttempted()
	{
		return triesAttempted;
	}
	
	public boolean isReceiving()
	{
		return receiving;
	}
	
	public void setDialsAttempted(int dialsAttempted)
	{
		this.dialsAttempted = dialsAttempted;
	}
	
	public void setFilename(String filename)
	{
		this.filename = filename;
	}
	
	public void setFilesize(long filesize)
	{
		this.filesize = filesize;
	}
	
	public void setID(int id)
	{
		ID = id;
	}
	
	public void setLastError(String lastError)
	{
		this.lastError = lastError;
	}
	
	public void setMaxDials(int maxDials)
	{
		this.maxDials = maxDials;
	}
	
	public void setMaxTries(int maxTries)
	{
		this.maxTries = maxTries;
	}
	
	public void setNotify(String notify)
	{
		this.notify = notify;
	}
	
	public void setNotifyAdress(String notifyAdress)
	{
		this.notifyAdress = notifyAdress;
	}
	
	public void setNumber(String number)
	{
		this.number = number;
	}
	
	public void setOwner(String owner)
	{
		this.owner = owner;
	}
	
	public void setPageCount(int pageCount)
	{
		this.pageCount = pageCount;
	}
	
	public void setPagesTransmitted(int pagesTransmitted)
	{
		this.pagesTransmitted = pagesTransmitted;
	}
	
	public void setPaperHeight(int paperHeight)
	{
		this.paperHeight = paperHeight;
	}
	
	public void setPaperWidth(int paperWidth)
	{
		this.paperWidth = paperWidth;
	}
	
	public void setPermissions(String permissions)
	{
		this.permissions = permissions;
	}
	
	public void setPriority(int priority)
	{
		this.priority = priority;
	}
	
	public void setReceiving(boolean receiving)
	{
		this.receiving = receiving;
	}
	
	public void setResolution(int resolution)
	{
		this.resolution = resolution;
	}
	
	public void setResult(String result)
	{
		this.result = result;
	}


	
	public void setSender(String sender)
	{
		this.sender = sender;
	}


	
	public void setSendTime(Date sendTime)
	{
		this.sendTime = sendTime;
	}

	
	public void setTag(int tag)
	{
		this.tag = tag;
	}

	
	public void setTriesAttempted(int triesAttempted)
	{
		this.triesAttempted = triesAttempted;
	}

}